#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Compress
%define	pnam	Raw-Bzip2
Summary:	Compress::Raw::Bzip2 - Low-Level Interface to bzip2 compression library
Summary(pl.UTF-8):	Niskopoziomowy interfejs do biblioteki kompresji bzip2
Name:		perl-Compress-Raw-Bzip2
Version:	2.069
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Compress/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	18c4312b4fb8b644e9d697803687ea4f
URL:		http://search.cpan.org/dist/Compress-Raw-Bzip2/
BuildRequires:	bzip2-devel >= 1.0.3
BuildRequires:	perl-ExtUtils-MakeMaker >= 5.16
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-dirs >= 1.0-10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Compress::Raw::Bzip2 provides an interface to the in-memory
compression/uncompression functions from the bzip2 compression
library.

Although the primary purpose for the existence of Compress::Raw::Bzip2
is for use by the IO::Compress::Bzip2 and IO::Uncompress::Bunzip2
modules, it can be used on its own for simple
compression/uncompression tasks.

%description -l pl.UTF-8
Compress::Raw::Bzip2 udostępnia interfejs do funkcji
kompresji/dekompresji w pamięci z biblioteki kompresji bzip2.

Choć głównym celem istnienia Compress::Raw::Bzip2 jest wykorzystywanie
przez moduły IO::Compress::Bzip2 i IO::Uncompress::Bunzip2, można tego
modułu użyć samodzielnie do prostych zadań kompresji/dekompresji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Compress/Raw/Bzip2.pm
%dir %{perl_vendorarch}/auto/Compress/Raw/Bzip2
%attr(755,root,root) %{perl_vendorarch}/auto/Compress/Raw/Bzip2/Bzip2.so
%{_mandir}/man3/Compress::Raw::Bzip2.3pm*
%changelog
* Tue Mar 22 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Compress-Raw-Bzip2.git;a=log;h=master

* Tue Mar 22 2016 Marcin Krol <hawk@tld-linux.org> 0de5ebe
- updated to 2.069

* Thu Sep 10 2015 Marcin Krol <hawk@tld-linux.org> 999881c
- updated to 2.068

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 2c51b98
- removed zero-sized .bs file

* Fri Jun 21 2013 Jakub Bogusz <qboosh@pld-linux.org> 0b3fa8a
- updated to 2.061

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> b028e38
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Thu May 31 2012 Jakub Bogusz <qboosh@pld-linux.org> a00f2cd
- updated to 2.052

* Sat Feb 11 2012 zbyniu <zbyniu@pld-linux.org> 3594595
- up to 2.048

* Mon Jan 16 2012 Jakub Bogusz <qboosh@pld-linux.org> b338a15
- unified Source0 URL

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 327ea8a
- up to 2.045

* Sat Mar 05 2011 Jakub Bogusz <qboosh@pld-linux.org> ba14440
- updated to 2.033

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 761176c
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 526b90b
- release 2

* Fri Apr 09 2010 amateja <amateja@pld-linux.org> ded22fa
- updated to 2.026

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> dbb5c2b
- changed Source0 URL

* Mon Mar 15 2010 amateja <amateja@pld-linux.org> fd1f495
- updated to 2.024

* Mon Nov 16 2009 amateja <amateja@pld-linux.org> 0e1c379
- updated to 2.023

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> a141726
- updated to 2.021

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 0621301
- CVE notes for 2.020

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 3d49687
- updated to 2.020 [ fixes CVE-2009-1391, CVE-2009-1884 ]

* Sun Dec 14 2008 Maciej Pijanka <agaran@pld-linux.org> b5a8bfc
- up to 2.015, rel 1

